Skip to main content
GET
/
tools
List Tools
curl --request GET \
  --url https://api.truedy.ai/api/public/v1/tools \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "tool_p1q2r3s4",
      "name": "Book Appointment",
      "type": "http",
      "description": "Books an appointment in the CRM calendar",
      "url": "https://api.example.com/appointments",
      "method": "POST",
      "headers": {
        "Content-Type": "application/json",
        "X-API-Key": "{{api_key}}"
      },
      "body_template": "{\"name\": \"{{contact_name}}\", \"time\": \"{{appointment_time}}\"}",
      "timeout_seconds": 10,
      "created_at": "2026-03-10T08:00:00Z",
      "updated_at": "2026-04-01T12:00:00Z"
    },
    {
      "id": "tool_q2r3s4t5",
      "name": "Send SMS",
      "type": "http",
      "description": "Books an appointment in the CRM calendar",
      "url": "https://api.example.com/appointments",
      "method": "POST",
      "headers": {
        "Content-Type": "application/json",
        "X-API-Key": "{{api_key}}"
      },
      "body_template": "{\"name\": \"{{contact_name}}\", \"time\": \"{{appointment_time}}\"}",
      "timeout_seconds": 10,
      "created_at": "2026-03-10T08:00:00Z",
      "updated_at": "2026-04-01T12:00:00Z"
    }
  ],
  "meta": {
    "request_id": "req_32e7531c",
    "ts": "2026-04-05T10:22:00Z"
  },
  "pagination": {
    "total": 24,
    "limit": 50,
    "offset": 0,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Query Parameters

limit
integer
default:50

Maximum results per page

Required range: 1 <= x <= 100
offset
integer
default:0

Number of results to skip

Required range: x >= 0

Response

List of tools

data
object[]
required
meta
object
required
pagination
object